Subject: Re: [Ltru] WG Last Call for draft-ietf-ltru-4645bis-06.txt -- Editorial Comments Only

From: "Doug Ewell" <[email-masked]>
Date: Tue, 14 Oct 2008 20:15:20 -0600

CE Whitehead <cewcathar at hotmail dot com> wrote:

> {COMMENT:  I would like to add here at the beginning of this -- if 
> possible -- a bit more information on when you follow ISO 639-3 and 
> when you follow ISO 639-5;  it appear to me from reading the draft 
> (correct me if I am wrong; I may be) that, where ISO639-3 differs from 
> ISO639-5 , it is ISO639-3 that is the basis of the codes in the 
> registry; however codes in ISO 639-5 not listed in ISO639-3 appear in 
> the registry as they are listed in ISO639-5  }

I think the only code element defined in both 639-3 and 639-5 is 'car', 
which 639-5 defined as a collective called "Carib languages" even though 
639-2 and 639-3 already had it as an individual called "Galibi Carib." 
The registrars for 639-2 and 639-3 (Rebecca and Joan respectively) 
clarified back in August that the "individual" interpretation is the 
correct one, and draft-4645bis-06 makes note of that in Section 2.3, 
sixth paragraph.

There should not be any other code elements shared between 639-3 and 
639-5.

--
Doug Ewell  *  Thornton, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: CE Whitehead <[email-masked]>
Date: Fri, 17 Oct 2008 13:16:36 -0400

From: "Doug Ewell" 

Date: Wed, 15 Oct 2008 18:41:51 -0600

 *   From: "Doug Ewell" 

> CE Whitehead  wrote:

>> However, it is section 2.3 of the draft, "Modified Language Subtags," par. 3, that I was referring to:

>> ". . . Language subtags corresponding to code elements that were identified in [ISO639-3] as representing collection codes, but not listed in [ISO639-5], were also assigned a Scope value of "collection".

Doug, I see that ISO 639-3 is all macro-languages and individual languages (http://www.sil.org/ISO639-3/codes.asp); I guess then I just want an explanation of where language subtag elements are assigned a scope value of collection; I see no "collections" listed among the ISO 639-3 codes since 2.3 of the draft mentions this.

>> I thought a note to this effect might be added to Section I, par. 2, to the end of the text below:

>> "[draft-ietf-ltru-4646bis-17] expands on [RFC4646] by adding support for approximately 7,500 new primary and extended language subtags based on [ISO639-3] and [ISO639-5] alpha-3 code elements, and seven new region subtags based on [ISO3166-1] exceptionally reserved code elements. "

>> If no one else agrees, I'll drop it, but I do think we could have this section a tiny bit more specific.
Fine

> I do not agree. The normative references to both ISO 639-3 and 639-5 state the full names of these standards, showing that 639-3 encodes individual languages while 639-5 encodes "language families and groups." Sections 2.2 and 2.3 already explain how 639-3 and 639-5 code elements are used to form language subtags. I don't see any need to elaborate on this in the Introduction. --

O.k. What is the exact meaning of the comments in section 2.3, par. 3?
Because it is this that is confusing me actually, not the introduction.

Thanks!  (Sorry to ask such a dumb question)

--C. E. Whitehead
[email-masked]